## org.apache.lucene.benchmark.byTask.tasks
Class OpenIndexTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.OpenIndexTask

All Implemented Interfaces:
  Cloneable

    public class OpenIndexTask

extends PerfTask

Open an index writer.
Other side effects: index writer object in perfRunData is set.
Relevant properties: `merge.factor, max.buffered, max.field.length, ram.flush.mb [default 0]`.

Accepts a param specifying the commit point as previously saved with CommitIndexTask. If you specify this, it rolls the index back to that commit on opening the IndexWriter.

Field Summary
`static int` `DEFAULT_MAX_BUFFERED`
`static int` `DEFAULT_MERGE_PFACTOR`
`static double` `DEFAULT_RAM_FLUSH_MB`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params, stopNow`

Constructor Summary
`OpenIndexTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`void` `setParams(String params)` Set the params of this task.
`boolean` `supportsParams()` Sub classes that support parameters must override this method to return true.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_MAX_BUFFERED

    public static final int DEFAULT_MAX_BUFFERED

See Also:
  Constant Field Values

### DEFAULT_MERGE_PFACTOR

    public static final int DEFAULT_MERGE_PFACTOR

See Also:
  Constant Field Values

### DEFAULT_RAM_FLUSH_MB

    public static final double DEFAULT_RAM_FLUSH_MB

See Also:
  Constant Field Values

Constructor Detail

### OpenIndexTask

    public OpenIndexTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws IOException

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `IOException`

### setParams

    public void setParams(String params)

  Description copied from class: `PerfTask`
  Set the params of this task.

  Overrides:
    `setParams` in class `PerfTask`

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that support parameters must override this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.